Name:       tokodon
Version:    23.08.5
Release:    %mkrel 1
Summary:    A modern Mastedon client for KDE/Plasma 
Group:      Graphical desktop/KDE5
License:    GPL3
URL:        https://apps.kde.org/tokodon/
Source0:    https://invent.kde.org/network/tokodon/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  kio-devel
BuildRequires:  kf5-macros
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kirigami2-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  qqc2-desktop-style-devel
BuildRequires:  qt5keychain-devel
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5WebSockets)

Requires: kirigami-addons

%description
Tokodon is a Mastodon client. It allows you to interact with the Fediverse community.
Mastedon has microblogging features similar to the Twitter service, which are offered by a large 
number of independently run nodes, known as instances, each with its own code of conduct, 
terms of service, privacy options, and moderation policies.

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  
%files
%_kf5_bindir/tokodon
%_iconsdir/*/*/*/*.svg
%_kf5_datadir/locale
%_kf5_datadir/applications/org.kde.tokodon.desktop
%_kf5_datadir/knotifications5/tokodon.notifyrc
%_kf5_datadir/metainfo/org.kde.tokodon.appdata.xml
%_kf5_datadir/qlogging-categories5/tokodon.categories

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

